Nuxa
Api referenceKnowledgeApiKnowledgeIdDocumentsDocumentid

PUT /api/knowledge/{id}/documents/{documentId}

PUT
/api/knowledge/{id}/documents/{documentId}

Authorization

sessionAuth
better-auth.session_token<token>

Better Auth session cookie

In: cookie

Path Parameters

id*string

The id parameter

documentId*string

The documentId parameter

Request Body

application/json

filename*string
enabled?boolean
chunkCount?number
tokenCount?number
characterCount?number
processingStatus?string
Value in"pending" | "processing" | "completed" | "failed"
processingError?string
markFailedDueToTimeout?boolean
retryProcessing?boolean
tag1?string
tag2?string
tag3?string
tag4?string
tag5?string
tag6?string
tag7?string

Response Body

application/json

application/json

application/json

application/json

curl -X PUT "https://app.nuxa.ai/api/knowledge/string/documents/string" \  -H "Content-Type: application/json" \  -d '{    "filename": "string"  }'
{}
{
  "error": "string",
  "code": "string"
}
{
  "error": "string",
  "code": "string"
}
{
  "error": "string",
  "code": "string"
}